/* eslint-disable */
/**liuwh
 * 5/29/2020, 2:34:37 PM
 * doc comment for the file goes here
 */

/** Happy Coding */
import React, { ReactNode, ReactEventHandler, Component } from 'react';
import { Input } from 'antd';
import TableView from '../../../common/TableView';
import SearchFormView from '../../../common/SearchFormView';
import './index.scss';


export default class MeritsExamine extends Component {
  constructor(props) {
    super(props);
    this.config = {
    };
    this.state = {
      formData: {
        __key: Date.now(),
        page: 1,
        size: 10,
        keyWord: ''
      },
    };
  }

  componentWillMount() { }

  componentDidMount() { }

  setFormData = data => {
    console.log('form', data);
    this.setState({
      formData: data,
    });
  }

  renderColumns = () => {
    return [
      { title: '序号', dataIndex: 'index' },
      { title: '评分项目', dataIndex: 'name' },
      // { title: '评分目标', dataIndex: 'bumen' },
      { title: '定义与标准', dataIndex: 'gangwei' },
      { title: '系统取数指标', dataIndex: 'month' },
      // { title: '数据来源', dataIndex: 'renwu' },
      { title: '取值范围', dataIndex: 'quexian' },
      { title: '计算方式', dataIndex: 'score' },
      {
        title: '权重', dataIndex: 'quanzhogn', width: '10%', render: (cur, item, index) => {
          return <Input size="small" onChange={() => {
            console.log(this.refs);
            this.refs['table-view'].onSetDataSource({ index, data: item })
          }} />
        }
      },
      {
        title: '配分', dataIndex: 'peifen', width: '10%', render: (cur, item) => {
          return <Input size="small" />
        }
      },
      {
        title: '操作', dataIndex: 'operation', render: (cur, item, ) => {
          return null
        }
      },
    ];
  }

  render() {
    const { formData } = this.state;
    let tableParams = {
      url: `api/log/queryLog`,
      formData,
      key: formData.__key,
      columns: this.renderColumns(),
      extraFromData: {
        logType: '1',
      },
      setFormData: this.setFormData,
      showPagination: false,
    }

    return (
      <div className="merits-examine-main">
        <TableView {...tableParams} ref={'table-view'} />
      </div>
    )
  }
}
